<mat-card>
    <mat-card-header>
        <mat-card-title class="title">اطلاعات تجهیزات کاربران
            <button *ngIf="isAdmin" mat-mini-fab matTooltip="افزودن تجهیزات" color="primary" [routerLink]="['/user_equipment/new']">
                <mat-icon>add</mat-icon>
            </button>
            <button *ngIf="isUser" mat-raised-button color="primary" matTooltip="افزودن تجهیزات" [routerLink]="['/user_equipmentreq/new']">
                <mat-icon>add</mat-icon>افزودن تجهیزات جدید
            </button>
            <!-- <i class="material-icons md-18">face</i>
            <i class="material-icons md-24">face</i>
            <i class="material-icons md-36">face</i>
            <i class="material-icons md-48">face</i>
            <i class="material-icons md-dark">face</i>
            <i class="material-icons md-dark md-inactive">face</i>
            <i class="material-icons md-light">face</i>
            <i class="material-icons md-light md-inactive">face</i>
            <i class="material-icons orange600">face</i> -->
        </mat-card-title>
    </mat-card-header>
    <mat-card-content>
        <div class="grid-wrapper">
            <kendo-grid [data]="query | async" [pageSize]="state.take" [skip]="state.skip" [sort]="state.sort" [sortable]="{ mode: 'multiple' }" [pageable]="{
    buttonCount: buttonCount,
    info: info,
    type: type,
    pageSizes: pageSizes,
    previousNext: previousNext
  }" [scrollable]="'scrollable'" filterable="menu" [filter]="state.filter" [resizable]="true" (dataStateChange)="dataStateChange($event)" (filterChange)="filterChange($event)" [height]="450">
                <!-- [groupable]="{ showFooter: true }" [group]="state.group" [filterable]="true" [filter]="state.filter"  (filterChange)="filterChange($event)" -->
                <!-- <kendo-grid-column field="id" title="سريال" width="40">
      </kendo-grid-column> -->
                <!-- <a mat-mini-fab [routerLink]="['/user/', dataItem.user_ID]">ويرايش</a> -->
                <kendo-grid-command-column title="ع" width="80" [resizable]="false" [locked]="true">
                    <ng-template kendoGridCellTemplate let-dataItem="dataItem">
                        <button mat-icon-button matTooltip="ویرایش تجهیزات" *ngIf="isAdmin">
                            <mat-icon [routerLink]="['/user_equipment/', dataItem.userEquip_ID]" color="accent">
                                create
                            </mat-icon>
                        </button>
                        <button mat-icon-button *ngIf="isUser" [routerLink]="['/user_equipmentreq/edit/', dataItem.userEquip_ID]" color="warn" matTooltip="ویرایش تجهیزات">
                            <mat-icon>create</mat-icon>
                        </button>
                        <button mat-icon-button *ngIf="isUser" [routerLink]="['/user_equipmentreq/delete/', dataItem.userEquip_ID]" color="accent" matTooltip="حذف تجهیزات">
                            <!-- (click)=delete(dataItem.userEquip_ID) -->
                            <mat-icon>delete</mat-icon>
                        </button>
                    </ng-template>
                </kendo-grid-command-column>

                <kendo-grid-column field="user.office.office_ID" title="اداره" width="80" *ngIf="isAdmin">
                    <ng-template kendoGridFilterMenuTemplate let-column="column" let-filter="filter" let-filterService="filterService">
                        <app-multicheck-filter [isPrimitive]="false" [field]="column.field" [filterService]="filterService" [currentFilter]="filter" textField="office_Name" valueField="office_ID" [data]="offices">
                        </app-multicheck-filter>
                    </ng-template>
                    <ng-template kendoGridCellTemplate let-dataItem>
                        {{dataItem.user.office.office_Name}} {{dataItem.user.office.office_Code}}
                    </ng-template>
                </kendo-grid-column>

                <kendo-grid-column field="user_ID" title="کاربر" width="80" *ngIf="isAdmin">
                    <ng-template kendoGridFilterMenuTemplate let-column="column" let-filter="filter" let-filterService="filterService">
                        <app-multicheck-filter [isPrimitive]="false" [field]="column.field" [filterService]="filterService" [currentFilter]="filter" textField="user_Lname" valueField="user_ID" [data]="users">
                        </app-multicheck-filter>
                    </ng-template>
                    <ng-template kendoGridCellTemplate let-dataItem>
                        {{dataItem.user.user_Lname}} {{dataItem.user.user_Fname}}
                    </ng-template>
                </kendo-grid-column>

                <kendo-grid-column field="equip_ID" title="نام تجهيزات" width="200" ng-disabled="Action=='Delete'">
                    <ng-template kendoGridFilterMenuTemplate let-column="column" let-filter="filter" let-filterService="filterService">
                        <app-multicheck-filter [isPrimitive]="false" [field]="column.field" [filterService]="filterService" [currentFilter]="filter" textField="equip_Name" valueField="equip_ID" [data]="equipments">
                        </app-multicheck-filter>
                    </ng-template>
                    <ng-template kendoGridCellTemplate let-dataItem>
                        {{dataItem.equipment.equip_Name}}
                        <button *ngIf="isCase(dataItem.equipment.equip_Name)" mat-button color="accent" class="small" (click)='openDialog(dataItem.userEquip_ID)'>جزئیات</button>
                    </ng-template>
                </kendo-grid-column>


                <kendo-grid-column field="shSerial" title="ش.سريال" width="50">
                </kendo-grid-column>
                <kendo-grid-column field="shAmval" title="ش.اموال" width="50">
                </kendo-grid-column>

                <kendo-grid-messages pagerPage="صفحه" pagerOf="از" pagerItems="مورد" pagerItemsPerPage="تعداد مورد در هر صفحه">
                </kendo-grid-messages>
            </kendo-grid>
            <div *ngIf="loading" class="k-i-loading"></div>
        </div>
    </mat-card-content>
</mat-card>
<app-user-equ-req-list></app-user-equ-req-list>